"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "mpmath/libmp/backend.py" between
mpmath-0.19.tar.gz and mpmath-1.0.0.tar.gz

About: mpmath is a Python library for arbitrary-precision floating-point arithmetic.

backend.py  (mpmath-0.19):backend.py  (mpmath-1.0.0)
skipping to change at line 25 skipping to change at line 25
# Side-effects # # Side-effects #
# 1) "is" cannot be used to test for special values. Must use "==". # # 1) "is" cannot be used to test for special values. Must use "==". #
# 2) There are bugs in GMPY prior to v1.02 so we must use v1.03 or later. # # 2) There are bugs in GMPY prior to v1.02 so we must use v1.03 or later. #
#----------------------------------------------------------------------------# #----------------------------------------------------------------------------#
# So we can import it from this module # So we can import it from this module
gmpy = None gmpy = None
sage = None sage = None
sage_utils = None sage_utils = None
try: if sys.version_info[0] < 3:
xrange
python3 = False python3 = False
except NameError: else:
python3 = True python3 = True
BACKEND = 'python' BACKEND = 'python'
from .six import exec_, print_ from .six import exec_, print_
if not python3: if not python3:
MPZ = long MPZ = long
xrange = xrange xrange = xrange
basestring = basestring basestring = basestring
 End of changes. 2 change blocks. 
3 lines changed or deleted 2 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)